import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'woof_common_plugin_platform_interface.dart';

/// An implementation of [WoofCommonPluginPlatform] that uses method channels.
class MethodChannelWoofCommonPlugin extends WoofCommonPluginPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('woof_common_plugin');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
