import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'woof_common_plugin_method_channel.dart';

abstract class WoofCommonPluginPlatform extends PlatformInterface {
  /// Constructs a WoofCommonPluginPlatform.
  WoofCommonPluginPlatform() : super(token: _token);

  static final Object _token = Object();

  static WoofCommonPluginPlatform _instance = MethodChannelWoofCommonPlugin();

  /// The default instance of [WoofCommonPluginPlatform] to use.
  ///
  /// Defaults to [MethodChannelWoofCommonPlugin].
  static WoofCommonPluginPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [WoofCommonPluginPlatform] when
  /// they register themselves.
  static set instance(WoofCommonPluginPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
