import 'package:flutter_test/flutter_test.dart';
import 'package:woof_common_plugin/woof_common_plugin.dart';
import 'package:woof_common_plugin/woof_common_plugin_platform_interface.dart';
import 'package:woof_common_plugin/woof_common_plugin_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockWoofCommonPluginPlatform
    with MockPlatformInterfaceMixin
    implements WoofCommonPluginPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final WoofCommonPluginPlatform initialPlatform = WoofCommonPluginPlatform.instance;

  test('$MethodChannelWoofCommonPlugin is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelWoofCommonPlugin>());
  });

  test('getPlatformVersion', () async {
    WoofCommonPlugin woofCommonPlugin = WoofCommonPlugin();
    MockWoofCommonPluginPlatform fakePlatform = MockWoofCommonPluginPlatform();
    WoofCommonPluginPlatform.instance = fakePlatform;

    expect(await woofCommonPlugin.getPlatformVersion(), '42');
  });
}
